### Method

# GLib String copy

since: 2.86

#### Declaration [src]

    GString*
    g_string_copy (
      GString* string
    )

#### Description [src]

Copies the `GString` instance and its contents.

This will preserve the allocation length of the `GString` in the copy.

Available since: 2.86

#### Return value

Type: `GString`

A copy of `string`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.